Remover bump do link
curl --request DELETE \
--url https://api.upag.io/v1/payment-links/{paymentLinkId}/bumps/{bumpId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/payment-links/{paymentLinkId}/bumps/{bumpId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/payment-links/{paymentLinkId}/bumps/{bumpId}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Links de pagamento
Remover bump do link
Remove um bump do link de pagamento
DELETE
https://api.upag.io
/
v1
/
payment-links
/
{paymentLinkId}
/
bumps
/
{bumpId}
Remover bump do link
curl --request DELETE \
--url https://api.upag.io/v1/payment-links/{paymentLinkId}/bumps/{bumpId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/payment-links/{paymentLinkId}/bumps/{bumpId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/payment-links/{paymentLinkId}/bumps/{bumpId}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Permissão:
payment_link.write (chave secreta).
Endpoint
curl -X DELETE https://api.upag.dev/v1/payment-links/d4e5f6a7-b8c9-4d0e-9f1a-2b3c4d5e6f70/bumps/f6a7b8c9-d0e1-4f2a-9b3c-4d5e6f7a8b92 \
-H "Authorization: Bearer sk_test_your_api_key"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
// upag.paymentLinks.deleteBump(paymentLinkId, bumpId)
await upag.paymentLinks.deleteBump(
'd4e5f6a7-b8c9-4d0e-9f1a-2b3c4d5e6f70',
'f6a7b8c9-d0e1-4f2a-9b3c-4d5e6f7a8b92',
);
Em produção use
https://api.upag.io/v1 com sk_live_....Parâmetros
string (uuid)
required
ID do link de pagamento.
string (uuid)
required
ID do bump.
Resposta
204 No Content — sem corpo em caso de sucesso.
404 — PAYMENT_LINK_NOT_FOUND ou PAYMENT_LINK_BUMP_NOT_FOUND.